<?php
/*
  $Id: affiliate_payment.php,v 1.8 2003/07/13 21:14:52 simarilius Exp $

  OSC-Affiliate

  Contribution based on:

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 - 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('affiliate_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_AFFILIATE, '', 'SSL'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_AFFILIATE_PAYMENT);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_login.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_AFFILIATE_PAYMENT, '', 'SSL'));

  $affiliate_payment_raw = "
    select p.* , s.affiliate_payment_status_name 
           from " . TABLE_AFFILIATE_PAYMENT . " p, " . TABLE_AFFILIATE_PAYMENT_STATUS . " s 
           where p.affiliate_payment_status = s.affiliate_payment_status_id 
           and s.affiliate_language_id = '" . $languages_id . "' 
           and p.affiliate_id =  '" . $affiliate_id . "' 
           order by p.affiliate_payment_id DESC
           ";

  $affiliate_payment_split = new splitPageResults($affiliate_payment_raw, MAX_DISPLAY_SEARCH_RESULTS);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->

    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main" COLSPAN="4"><?php echo TEXT_AFFILIATE_HEADER . ' ' . tep_db_num_rows(tep_db_query($affiliate_payment_raw)); ?></TD>
          </TR>
          <TR>
            <TD COLSPAN="4"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
          <TR>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_PAYMENT_ID; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="center"><?php echo TABLE_HEADING_DATE; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_PAYMENT; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_STATUS; ?></TD>
          </TR>
<?php
  if ($affiliate_payment_split->number_of_rows > 0) {
    $affiliate_payment_values = tep_db_query($affiliate_payment_split->sql_query);
    $number_of_payment = 0;
    while ($affiliate_payment = tep_db_fetch_array($affiliate_payment_values)) {
      $number_of_payment++;

      if (($number_of_payment / 2) == floor($number_of_payment / 2)) {
        echo '          <tr class="productListing-even">';
      } else {
        echo '          <tr class="productListing-odd">';
      }
?>
            <TD CLASS="smallText" ALIGN="right"><?php echo $affiliate_payment['affiliate_payment_id']; ?></TD>
            <TD CLASS="smallText" ALIGN="center"><?php echo tep_date_short($affiliate_payment['affiliate_payment_date']); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo $currencies->display_price($affiliate_payment['affiliate_payment_total'], ''); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo $affiliate_payment['affiliate_payment_status_name']; ?></TD>
          </TR>
<?php
    }
  } else {
?>
          <TR CLASS="productListing-odd">
            <TD COLSPAN="4" CLASS="main"><?php echo TEXT_NO_PAYMENTS; ?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD COLSPAN="4"><?php echo tep_draw_separator(); ?></TD>
          </TR>
<?php 
  if ($affiliate_payment_split->number_of_rows > 0) {
?>    
          <TR>
            <TD COLSPAN="4"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="smallText"><?php echo $affiliate_payment_split->display_count(TEXT_DISPLAY_NUMBER_OF_PAYMENTS); ?></TD>
                <TD ALIGN="right" CLASS="smallText"><?php echo TEXT_RESULT_PAGE; ?> <?php echo $affiliate_payment_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
<?php
  }
  $affiliate_payment_values = tep_db_query("select sum(affiliate_payment_total) as total from " . TABLE_AFFILIATE_PAYMENT . " where affiliate_id = '" . $affiliate_id . "'");
  $affiliate_payment = tep_db_fetch_array($affiliate_payment_values);
?>
          <TR>
            <TD CLASS="main" COLSPAN="4"><BR><?php echo TEXT_INFORMATION_PAYMENT_TOTAL . ' ' . $currencies->display_price($affiliate_payment['total'], ''); ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>