<?php
/*
  $Id: checkout_success.php,v 1.49 2003/06/09 23:03:53 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// if the customer is not logged on, redirect them to the shopping cart page
  if (!tep_session_is_registered('customer_id')) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'update')) {
    $notify_string = 'action=notify&';
    $notify = $HTTP_POST_VARS['notify'];
    if (!is_array($notify)) $notify = array($notify);
    for ($i=0, $n=sizeof($notify); $i<$n; $i++) {
      $notify_string .= 'notify[]=' . $notify[$i] . '&';
    }
    if (strlen($notify_string) > 0) $notify_string = substr($notify_string, 0, -1);

    tep_redirect(tep_href_link(FILENAME_DEFAULT, $notify_string));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_SUCCESS);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_man_on_board.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE_1);
  $breadcrumb->add(NAVBAR_TITLE_2);

  $global_query = tep_db_query("select global_product_notifications from " . TABLE_CUSTOMERS_INFO . " where customers_info_id = '" . (int)$customer_id . "'");
  $global = tep_db_fetch_array($global_query);

  if ($global['global_product_notifications'] != '1') {
    $orders_query = tep_db_query("select orders_id from " . TABLE_ORDERS . " where customers_id = '" . (int)$customer_id . "' order by date_purchased desc limit 1");
    $orders = tep_db_fetch_array($orders_query);

    $products_array = array();
    $products_query = tep_db_query("select products_id, products_name from " . TABLE_ORDERS_PRODUCTS . " where orders_id = '" . (int)$orders['orders_id'] . "' order by products_name");
    while ($products = tep_db_fetch_array($products_query)) {
      $products_array[] = array('id' => $products['products_id'],
                                'text' => $products['products_name']);
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->
    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	<?php echo tep_draw_form('order', tep_href_link(FILENAME_CHECKOUT_SUCCESS, 'action=update', 'SSL')); ?>

	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>	

      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="4" CELLPADDING="2">
          <TR>
            <TD VALIGN="top" CLASS="main"><?php echo TEXT_SUCCESS; ?><BR><BR>
<?php
  if ($global['global_product_notifications'] != '1') {
    echo TEXT_NOTIFY_PRODUCTS . '<br><p class="productsNotifications">';

    $products_displayed = array();
    for ($i=0, $n=sizeof($products_array); $i<$n; $i++) {
      if (!in_array($products_array[$i]['id'], $products_displayed)) {
        echo tep_draw_checkbox_field('notify[]', $products_array[$i]['id']) . ' ' . $products_array[$i]['text'] . '<br>';
        $products_displayed[] = $products_array[$i]['id'];
      }
    }

    echo '</p>';
  } else {
    echo TEXT_SEE_ORDERS . '<br><br>' . TEXT_CONTACT_STORE_OWNER;
  }
?>
            <H3><?php echo TEXT_THANKS_FOR_SHOPPING; ?></H3></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD ALIGN="right" CLASS="main"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%" ALIGN="right"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
              </TR>
            </TABLE></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
            <TD WIDTH="25%"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
              <TR>
                <TD WIDTH="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></TD>
                <TD WIDTH="50%"><?php echo tep_image(DIR_WS_IMAGES . 'checkout_bullet.gif'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo CHECKOUT_BAR_DELIVERY; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo CHECKOUT_BAR_PAYMENT; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarFrom"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></TD>
            <TD ALIGN="center" WIDTH="25%" CLASS="checkoutBarCurrent"><?php echo CHECKOUT_BAR_FINISHED; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
<?php if (DOWNLOAD_ENABLED == 'true') include(DIR_WS_MODULES . 'downloads.php'); ?>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE></form>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
