<?php
/*
  $Id: contact_us.php,v 1.42 2003/06/12 12:17:07 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CONTACT_US);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_contact_us.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $error = false;
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'send')) {
    $name = tep_db_prepare_input($HTTP_POST_VARS['name']);
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email']);
    $enquiry = tep_db_prepare_input($HTTP_POST_VARS['enquiry']);

    if (tep_validate_email($email_address)) {
      tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $enquiry, $name, $email_address);

      tep_redirect(tep_href_link(FILENAME_CONTACT_US, 'action=success'));
    } else {
      $error = true;

      $messageStack->add('contact', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }
  }

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CONTACT_US));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->
    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	<?php echo tep_draw_form('contact_us', tep_href_link(FILENAME_CONTACT_US, 'action=send')); ?>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

<?php
  if ($messageStack->size('contact') > 0) {
?>
      <TR>
        <TD><?php echo $messageStack->output('contact'); ?></TD>
      </TR>
<?php
  }

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'success')) {
?>
      <TR>
        <TD CLASS="main" ALIGN="center"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_man_on_board.gif', HEADING_TITLE, '0', '0', 'align="left"') . TEXT_SUCCESS; ?></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_button">
          <TR CLASS="infoBoxContents_button">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD ALIGN="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></TD>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
<?php
  } else {
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
          <TR CLASS="infoBoxContents_form">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main"><?php echo ENTRY_NAME; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo tep_draw_input_field('name'); ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo ENTRY_EMAIL; ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo tep_draw_input_field('email'); ?></TD>
              </TR>
              <TR>
                <TD CLASS="main"><?php echo ENTRY_ENQUIRY; ?></TD>
              </TR>
              <TR>
                <TD><?php echo tep_draw_textarea_field('enquiry', 'soft', 50, 15); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_button">
          <TR CLASS="infoBoxContents_button">
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                <TD ALIGN="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></TD>
                <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
<?php
  }
?>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE></form>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
