<?php
/*
  $Id: reviews.php,v 1.51 2003/06/09 23:03:55 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_REVIEWS);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_reviews_new.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_REVIEWS));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->

    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>
	   
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
<?php
  $reviews_query_raw = "select r.reviews_id, left(rd.reviews_text, 100) as reviews_text, r.reviews_rating, r.date_added, p.products_id, pd.products_name, p.products_image, r.customers_name from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd, " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = r.products_id and r.reviews_id = rd.reviews_id and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and rd.languages_id = '" . (int)$languages_id . "' order by r.reviews_id DESC";
  $reviews_split = new splitPageResults($reviews_query_raw, MAX_DISPLAY_NEW_REVIEWS);

  if ($reviews_split->number_of_rows > 0) {
    if ((PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3')) {
?>
          <TR>
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="smallText"><?php echo $reviews_split->display_count(TEXT_DISPLAY_NUMBER_OF_REVIEWS); ?></TD>
                <TD ALIGN="right" CLASS="smallText"><?php echo TEXT_RESULT_PAGE . ' ' . $reviews_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info'))); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
    }

    $reviews_query = tep_db_query($reviews_split->sql_query);
    while ($reviews = tep_db_fetch_array($reviews_query)) {
?>
          <TR>
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="main"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_REVIEWS_INFO, 'products_id=' . $reviews['products_id'] . '&reviews_id=' . $reviews['reviews_id']) . '"><u><b>' . $reviews['products_name'] . '</b></u></a> <span class="smallText">' . sprintf(TEXT_REVIEW_BY, tep_output_string_protected($reviews['customers_name'])) . '</span>'; ?></TD>
                <TD CLASS="smallText" ALIGN="right"><?php echo sprintf(TEXT_REVIEW_DATE_ADDED, tep_date_long($reviews['date_added'])); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
              <TR CLASS="infoBoxContents_form">
                <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                    <TD WIDTH="<?php echo SMALL_IMAGE_WIDTH + 10; ?>" ALIGN="center" VALIGN="top" CLASS="main"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_REVIEWS_INFO, 'products_id=' . $reviews['products_id'] . '&reviews_id=' . $reviews['reviews_id']) . '">' . tep_image(DIR_WS_IMAGES . $reviews['products_image'], $reviews['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>'; ?></TD>
                    <TD VALIGN="top" CLASS="main"><?php echo tep_break_string(tep_output_string_protected($reviews['reviews_text']), 60, '-<br>') . ((strlen($reviews['reviews_text']) >= 100) ? '..' : '') . '<br><br><i>' . sprintf(TEXT_REVIEW_RATING, tep_image(DIR_WS_IMAGES . 'stars_' . $reviews['reviews_rating'] . '.gif', sprintf(TEXT_OF_5_STARS, $reviews['reviews_rating'])), sprintf(TEXT_OF_5_STARS, $reviews['reviews_rating'])) . '</i>'; ?></TD>
                    <TD WIDTH="10" ALIGN="right"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                  </TR>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
    }
?>
<?php
  } else {
?>
          <TR>
            <TD><?php new infoBox(array(array('text' => TEXT_NO_REVIEWS))); ?></TD>
          </TR>
          <TR>
            <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
  }

  if (($reviews_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3'))) {
?>
          <TR>
            <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="smallText"><?php echo $reviews_split->display_count(TEXT_DISPLAY_NUMBER_OF_REVIEWS); ?></TD>
                <TD ALIGN="right" CLASS="smallText"><?php echo TEXT_RESULT_PAGE . ' ' . $reviews_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info'))); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
  }
?>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>
    </TABLE>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
