<?php
/*
  $Id: affiliate_sales.php,v 1.11 2003/08/05 05:32:02 frak Exp $

  OSC-Affiliate

  Contribution based on:

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 - 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('affiliate_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_AFFILIATE, '', 'SSL'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_AFFILIATE_SALES);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_login.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_AFFILIATE_SALES, '', 'SSL'));

 
  if ( tep_not_null( $HTTP_GET_VARS['a_period'] ) ) {
      $period_split = split('-', tep_db_prepare_input( $HTTP_GET_VARS['a_period'] ) );
      $period_clause = " AND year(a.affiliate_date) = " . $period_split[0] . " and month(a.affiliate_date) = " . $period_split[1];
  }
  if ( tep_not_null( $HTTP_GET_VARS['a_status'] ) ) {
      $a_status = tep_db_prepare_input( $HTTP_GET_VARS['a_status'] );
      $status_clause = " AND o.orders_status = '$a_status'";
  }
  if ( is_numeric( $HTTP_GET_VARS['a_level'] )  ) {
      $a_level = tep_db_prepare_input( $HTTP_GET_VARS['a_level'] );
      $level_clause = " AND (tier.affiliate_lvl - aa.affiliate_lvl) = '$a_level'";
  } else {
      $level_clause = " AND (tier.affiliate_lvl - aa.affiliate_lvl) <= '" . AFFILIATE_TIER_LEVELS . "'";
  }
  $affiliate_sales_raw = "
    select a.affiliate_payment, a.affiliate_date, a.affiliate_value, a.affiliate_percent, 
    a.affiliate_payment, (tier.affiliate_lvl - aa.affiliate_lvl) AS level,
    o.orders_status as orders_status_id, os.orders_status_name as orders_status, 
    MONTH(aa.affiliate_date_account_created) as start_month, YEAR(aa.affiliate_date_account_created) as start_year
    from " . TABLE_AFFILIATE . " aa
    left join " . TABLE_AFFILIATE_SALES . " a on (aa.affiliate_id = a.affiliate_id )
    left join " . TABLE_AFFILIATE . " AS tier on ( tier.affiliate_id = a.affiliate_salesman )
    left join " . TABLE_ORDERS . " o on (a.affiliate_orders_id = o.orders_id) 
    left join " . TABLE_ORDERS_STATUS . " os on (o.orders_status = os.orders_status_id and language_id = '" . $languages_id . "') 
    where a.affiliate_id = '" . $affiliate_id . "' " .
    $period_clause . $status_clause . $level_clause . "
    GROUP BY aa.affiliate_date_account_created, o.orders_status, os.orders_status_name, 
        a.affiliate_payment, a.affiliate_date, a.affiliate_value, a.affiliate_percent, 
        o.orders_status, os.orders_status_name, (tier.affiliate_lvl - aa.affiliate_lvl)
    order by affiliate_date DESC
    ";
    
  $affiliate_sales_split = new splitPageResults($affiliate_sales_raw, MAX_DISPLAY_SEARCH_RESULTS);
  if ($affiliate_sales_split->number_of_rows > 0) {
    $affiliate_sales_values = tep_db_query($affiliate_sales_split->sql_query);
    $affiliate_sales = tep_db_fetch_array($affiliate_sales_values);
  } else {
    $affiliate_sales_values = tep_db_query( "select MONTH(affiliate_date_account_created) as start_month, 
                                      YEAR(affiliate_date_account_created) as start_year
                                      FROM " . TABLE_AFFILIATE . " WHERE affiliate_id = '" . $affiliate_id . "'" );
    $affiliate_sales = tep_db_fetch_array( $affiliate_sales_values ); 
  }
  $period_selector = affiliate_period( 'a_period', $affiliate_sales['start_year'], $affiliate_sales['start_month'],
                                      true, tep_db_prepare_input( $HTTP_GET_VARS['a_period'] ), 'onChange="this.form.submit();"' );
  $status_selector = affiliate_get_status_list( 'a_status' , tep_db_prepare_input($HTTP_GET_VARS['a_status'] ), 
                                               'onChange="this.form.submit();"' );
  $level_selector = affiliate_get_level_list( 'a_level', tep_db_prepare_input($HTTP_GET_VARS['a_level']), 
                                             'onChange="this.form.submit();"' );
  
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->

    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main" COLSPAN="5"><?php echo TEXT_AFFILIATE_HEADER . ' ' . tep_db_num_rows(tep_db_query($affiliate_sales_raw)); ?></TD>
          </TR>
		  <TR>
            <TD CLASS="main" COLSPAN="5"><?php echo tep_draw_form('params', tep_href_link(FILENAME_AFFILIATE_SALES ), 'get', 'SSL' ) . TEXT_AFFILIATE_PERIOD . "$period_selector " . TEXT_AFFILIATE_STATUS . "$status_selector " . TEXT_AFFILIATE_LEVEL . $level_selector ; ?></form></TD>
          </TR>
		  
          <TR>
            <TD CLASS="main" COLSPAN="5"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
          <TR>
            <TD CLASS="infoBoxHeading" ALIGN="center"><?php echo TABLE_HEADING_DATE; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_VALUE; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_PERCENTAGE; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_LEVEL; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_SALES; ?></TD>
            <TD CLASS="infoBoxHeading" ALIGN="right"><?php echo TABLE_HEADING_STATUS; ?></TD>
          </TR>
<?php
  if ($affiliate_sales_split->number_of_rows > 0) {
    $number_of_sales = 0;
    $sum_of_earnings = 0;

    do {
      $number_of_sales++;
      if ($affiliate_sales['orders_status_id'] >= AFFILIATE_PAYMENT_ORDER_MIN_STATUS) $sum_of_earnings += $affiliate_sales['affiliate_payment'];
      if (($number_of_sales / 2) == floor($number_of_sales / 2)) {
        echo '          <tr class="productListing-even">';
      } else {
        echo '          <tr class="productListing-odd">';
      }
?>
            <TD CLASS="smallText" ALIGN="center"><?php echo tep_date_short($affiliate_sales['affiliate_date']); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo $currencies->display_price($affiliate_sales['affiliate_value'], ''); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo $affiliate_sales['affiliate_percent'] . " %"; ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo ( ($affiliate_sales['level'] > 0) ? $affiliate_sales['level'] : TEXT_AFFILIATE_PERSONAL_LEVEL_SHORT  ); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php echo $currencies->display_price($affiliate_sales['affiliate_payment'], ''); ?></TD>
            <TD CLASS="smallText" ALIGN="right"><?php if ($affiliate_sales['orders_status']) echo $affiliate_sales['orders_status']; else echo TEXT_DELETED_ORDER_BY_ADMIN; ?></TD>
          </TR>
<?php
    } while ( $affiliate_sales = tep_db_fetch_array($affiliate_sales_values) );
  } else {
?>
          <TR CLASS="productListing-odd">
            <TD CLASS="main" COLSPAN="6"><?php echo TEXT_NO_SALES; ?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD CLASS="main" COLSPAN="6"><?php echo tep_draw_separator(); ?></TD>
          </TR>
<?php 
  if ($affiliate_sales_split->number_of_rows > 0) {
?>
          <TR>
            <TD CLASS="main" COLSPAN="6"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="smallText"><?php echo $affiliate_sales_split->display_count(TEXT_DISPLAY_NUMBER_OF_SALES); ?></TD>
                <TD CLASS="smallText" ALIGN="right"><?php echo TEXT_RESULT_PAGE; ?> <?php echo $affiliate_sales_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
<?php
  }
?>
            <TD CLASS="main" COLSPAN="6"><BR><?php echo TEXT_INFORMATION_SALES_TOTAL . ' ' .  $currencies->display_price($sum_of_earnings,'') . TEXT_INFORMATION_SALES_TOTAL2; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>