<?php
/*
  $Id: affiliate_show_banner.php,v 1.14 2003/07/17 12:21:11 simarilius Exp $

  OSC-Affiliate

  Contribution based on:

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 - 2003 osCommerce

  Released under the GNU General Public License
*/

// CHECKIT
// -> optimize code -> double parts

// require of application_top not possible 
// cause then whois online registers it also as visitor
//

  define('TABLE_AFFILIATE_BANNERS_HISTORY', 'affiliate_banners_history');
  define('TABLE_AFFILIATE_BANNERS', 'affiliate_banners');
  define('TABLE_PRODUCTS', 'products');

// Set the local configuration parameters - mainly for developers
  if (file_exists('includes/local/configure.php')) include('includes/local/configure.php');
  require('includes/configure.php');
  if (file_exists('includes/local/affiliate_configure.php')) include('includes/local/affiliate_configure.php');
  require('includes/affiliate_configure.php');

// include the database functions
  require(DIR_WS_FUNCTIONS . 'database.php');
// make a connection to the database... now
  tep_db_connect() or die('Unable to connect to database server!');

  function affiliate_show_banner($pic) {
//Read Pic and send it to browser
    $fp = fopen($pic, "rb");
    if (!$fp) exit();
// Get Image type
    $img_type = substr($pic, strrpos($pic, ".") + 1);
// Get Imagename
    $pos = strrpos($pic, "/");
    if ($pos) {
      $img_name = substr($pic, strrpos($pic, "/" ) + 1);
    } else {
      $img_name=$pic;
    }
    header ("Content-type: image/$img_type");
    header ("Content-Disposition: inline; filename=$img_name");
    fpassthru($fp);
    // The file is closed when fpassthru() is done reading it (leaving handle useless).  
    // fclose ($fp);
    exit();
  }

  function affiliate_debug($banner,$sql) {
?>
    <TABLE BORDER=1 CELLPADDING=2 CELLSPACING=2>
      <TR><TD COLSPAN=2>Check the pathes! (catalog/includes/configure.php)</TD></TR>
      <TR><TD>absolute path to picture:</TD><TD><?php echo DIR_FS_DOCUMENT_ROOT . DIR_WS_CATALOG. DIR_WS_IMAGES . $banner; ?></TD></TR>
      <TR><TD>build with:</TD><TD>DIR_FS_DOCUMENT_ROOT . DIR_WS_CATALOG . DIR_WS_IMAGES . $banner</TD></TR>
      <TR><TD>DIR_FS_DOCUMENT_ROOT</TD><TD><?php echo DIR_FS_DOCUMENT_ROOT; ?></TD></TR>
      <TR><TD>DIR_WS_CATALOG</TD><TD><?php echo DIR_WS_CATALOG ; ?></TD></TR>
      <TR><TD>DIR_WS_IMAGES</TD><TD><?php echo DIR_WS_IMAGES; ?></TD></TR>
      <TR><TD>$banner</TD><TD><?php echo $banner; ?></TD></TR>
      <TR><TD>SQL-Query used:</TD><TD><?php echo $sql; ?></TD></TR>
      <TR><TH>Try to find error:</td><TD>&nbsp;</th></TR>
      <TR><TD>SQL-Query:</TD><TD><?php if ($banner) echo "Got Result"; else echo "No result"; ?></TD></TR>
      <TR><TD>Locating Pic</TD><TD>
<?php 
    $pic = DIR_FS_DOCUMENT_ROOT . DIR_WS_CATALOG . DIR_WS_IMAGES . $banner;
    echo $pic . "<br>";
    if (!is_file($pic)) {
      echo "failed<br>";
    } else {
      echo "success<br>";
    }
?>
      </TD></TR>
    </TABLE>
<?php
    exit();
  }

$banner = ''; 
$products_id = ''; 
$banner_id =''; 
$prod_banner_id = ''; 

// Register needed Post / Get Variables
if (isset($HTTP_GET_VARS['ref'])) $affiliate_id = $HTTP_GET_VARS['ref'];
if (isset($HTTP_POST_VARS['ref'])) $affiliate_id = $HTTP_POST_VARS['ref'];

if (isset($HTTP_GET_VARS['affiliate_banner_id'])) $banner_id = $HTTP_GET_VARS['affiliate_banner_id'];
if (isset($HTTP_POST_VARS['affiliate_banner_id'])) $banner_id = $HTTP_POST_VARS['affiliate_banner_id'];
if (isset($HTTP_GET_VARS['affiliate_pbanner_id'])) $prod_banner_id = $HTTP_GET_VARS['affiliate_pbanner_id'];
if (isset($HTTP_POST_VARS['affiliate_pbanner_id'])) $prod_banner_id = $HTTP_POST_VARS['affiliate_pbanner_id'];

  if (!empty($banner_id)) {
    $sql = "select affiliate_banners_image, affiliate_products_id from " . TABLE_AFFILIATE_BANNERS . " where affiliate_banners_id = '" . $banner_id  . "' and affiliate_status = 1";
    $banner_values = tep_db_query($sql);
    if ($banner_array = tep_db_fetch_array($banner_values)) {
      $banner = $banner_array['affiliate_banners_image'];
      $products_id = $banner_array['affiliate_products_id']; 
    }
  }

  if (!empty($prod_banner_id)) {
    $banner_id = 1; // Banner ID for these Banners is one
    $sql = "select products_image from " . TABLE_PRODUCTS . " where products_id = '" . $prod_banner_id  . "' and products_status = 1";
    $banner_values = tep_db_query($sql);
    if ($banner_array = tep_db_fetch_array($banner_values)) {
      $banner = $banner_array['products_image'];
      $products_id = $prod_banner_id;
    }
  }

// DebugModus
  if (AFFILIATE_SHOW_BANNERS_DEBUG == 'true') affiliate_debug($banner,$sql);

  if ($banner) {
    $pic = DIR_FS_CATALOG . DIR_WS_IMAGES . $banner;

    // Show Banner only if it exists:
    if (is_file($pic)) {
      $today = date('Y-m-d');
    // Update stats:
      if ($affiliate_id) {
        $banner_stats_query = tep_db_query("select * from " . TABLE_AFFILIATE_BANNERS_HISTORY . " where affiliate_banners_id = '" . $banner_id  . "' and affiliate_banners_products_id = '" . $products_id ."' and affiliate_banners_affiliate_id = '" . $affiliate_id. "' and affiliate_banners_history_date = '" . $today . "'");
    // Banner has been shown today 
        if ($banner_stats_array = tep_db_fetch_array($banner_stats_query)) {
          tep_db_query("update " . TABLE_AFFILIATE_BANNERS_HISTORY . " set affiliate_banners_shown = affiliate_banners_shown + 1 where affiliate_banners_id = '" . $banner_id  . "' and affiliate_banners_affiliate_id = '" . $affiliate_id. "' and affiliate_banners_products_id = '" . $products_id ."' and affiliate_banners_history_date = '" . $today . "'");
        } else { // First view of Banner today
          tep_db_query("insert into " . TABLE_AFFILIATE_BANNERS_HISTORY . " (affiliate_banners_id, affiliate_banners_products_id, affiliate_banners_affiliate_id, affiliate_banners_shown, affiliate_banners_history_date) VALUES ('" . $banner_id  . "', '" .  $products_id ."', '" . $affiliate_id. "', '1', '" . $today . "')");
        }
      }
    // Show Banner
      affiliate_show_banner($pic);
    }
  }

// Show default Banner if none is found
  if (is_file(AFFILIATE_SHOW_BANNERS_DEFAULT_PIC)) {
    affiliate_show_banner(AFFILIATE_SHOW_BANNERS_DEFAULT_PIC);
  } else {
    echo "<br>"; // Output something to prevent endless loading
  }
  exit();
?>