<?php
/*
  $Id: affiliate_summary.php,v 1.15 2003/08/05 05:31:22 frak Exp $

  OSC-Affiliate

  Contribution based on:

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 - 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('affiliate_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_AFFILIATE, '', 'SSL'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_AFFILIATE_SUMMARY);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_login.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_AFFILIATE_SUMMARY));
  
  $affiliate_raw = "select sum(affiliate_banners_shown) as banner_count, "
                   . "count(affiliate_clickthrough_id) as clickthrough_count, "
                   . "MONTH(affiliate_date_account_created) as start_month, "
                   . "YEAR(affiliate_date_account_created) as start_year, "
                   . "a.affiliate_commission_percent, a.affiliate_firstname, affiliate_lastname "
                   . "from " . TABLE_AFFILIATE . " AS a "
                   . "LEFT JOIN " . TABLE_AFFILIATE_CLICKTHROUGHS . " AS ac ON ( a.affiliate_id = ac.affiliate_id )"
                   . "LEFT JOIN " . TABLE_AFFILIATE_BANNERS_HISTORY . " AS ab ON ( a.affiliate_id = ab.affiliate_banners_affiliate_id )"
                   . " where a.affiliate_id  = '" . $affiliate_id . "'"
                   . " GROUP BY a.affiliate_date_account_created, a.affiliate_commission_percent, a.affiliate_firstname, affiliate_lastname ";
  $affiliate_query = tep_db_query( $affiliate_raw );
  $affiliate = tep_db_fetch_array( $affiliate_query );

  $affiliate_impressions = $affiliate['banner_count'];
  if ($affiliate_impressions == 0) $affiliate_impressions="n/a"; 

  $affiliate_clickthroughs = $affiliate['clickthrough_count'];

  $period_selector = affiliate_period( 'a_period', $affiliate['start_year'], $affiliate['start_month'], true, tep_db_prepare_input( $HTTP_GET_VARS['a_period'] ), 'onChange="this.form.submit();"' );

  $affiliate_percent = 0;
  $affiliate_percent = $affiliate['affiliate_commission_percent'];
  if ($affiliate_percent < AFFILIATE_PERCENT) $affiliate_percent = AFFILIATE_PERCENT;
  $affiliate_percent_tier = split(";", AFFILIATE_TIER_PERCENTAGE, AFFILIATE_TIER_LEVELS );

  if (AFFILATE_USE_TIER == 'true') {  
    if ( (strpos( $period_selector, "selected" ) === false) or ( $HTTP_GET_VARS['a_period'] == "all" ) ) {
      $affiliate_sales_query = affiliate_level_statistics_query( $affiliate_id );
    } else {
      $affiliate_sales_query = affiliate_level_statistics_query( $affiliate_id, tep_db_prepare_input( $HTTP_GET_VARS['a_period'] ) );
	}
  } else {
    $affiliate_sales_raw = "
			select count(*) as count, sum(affiliate_value) as total, sum(affiliate_payment) as payment from " . TABLE_AFFILIATE_SALES . " a 
			left join " . TABLE_ORDERS . " o on (a.affiliate_orders_id=o.orders_id) 
			where a.affiliate_id = '" . $affiliate_id . "' and o.orders_status >= " . AFFILIATE_PAYMENT_ORDER_MIN_STATUS . " 
			";
    $affiliate_sales_query = tep_db_query($affiliate_sales_raw);
  }

  $affiliate_sales = tep_db_fetch_array($affiliate_sales_query);
  $affiliate_transactions = tep_not_null($affiliate_sales['count']) ? $affiliate_sales['count'] : 0;
  if ($affiliate_clickthroughs > 0) {
	$affiliate_conversions = tep_round(($affiliate_transactions / $affiliate_clickthroughs)*100, 2) . "%";
  } else {
    $affiliate_conversions = "n/a";
  }
  $affiliate_amount = $affiliate_sales['total'];
  if ($affiliate_transactions>0) {
	$affiliate_average = tep_round($affiliate_amount / $affiliate_transactions, 2);
	$affiliate_average = $currencies->display_price($affiliate_average, '');
  } else {
	$affiliate_average = "n/a";
  }
  $affiliate_commission = $affiliate_sales['payment'];

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<SCRIPT language="javascript" SRC="includes/general.js"></SCRIPT>
<SCRIPT language="javascript"><!--
function popupWindow(url) {
  window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=450,height=150,screenX=150,screenY=150,top=150,left=150')
}
//--></SCRIPT>
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->

    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	
	      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main"><?php echo TEXT_GREETING . $affiliate['affiliate_firstname'] . ' ' . $affiliate['affiliate_lastname'] . '<br>' . TEXT_AFFILIATE_ID . $affiliate_id; ?></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main">
              <?php echo tep_draw_form('period', tep_href_link(FILENAME_AFFILIATE_SUMMARY ), 'get', 'SSL' ) . TEXT_AFFILIATE_PERIOD .  $period_selector; ?>
              </form>
            </TD>
          </TR>
        </TABLE></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
          <TR>
            <TD VALIGN="top" CLASS="main"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="infoboxheading"><?php echo TEXT_SUMMARY_TITLE; ?></TD>
              </TR>
            </TABLE></TD>
          </TR> 
          <TR>
            <TD><TABLE WIDTH="100%" BORDER="0" CELLPADDING="4" CELLSPACING="2">
                <TR>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_IMPRESSIONS; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_1) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $affiliate_impressions; ?></TD>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_VISITS; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_2) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $affiliate_clickthroughs; ?></TD>
                </TR>
                <TR>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_TRANSACTIONS; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_3) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $affiliate_transactions; ?></TD>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_CONVERSION; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_4) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $affiliate_conversions;?></TD>
                </TR>
                <TR>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_AMOUNT; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_5) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $currencies->display_price($affiliate_amount, ''); ?></TD>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_AVERAGE; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_6) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $affiliate_average; ?></TD>
                </TR>
                <TR>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_COMMISSION_RATE; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_7) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo tep_round($affiliate_percent, 2) . '%'; ?></TD>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><?php echo TEXT_COMMISSION; ?><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_8) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $currencies->display_price($affiliate_commission, ''); ?></TD>
                </TR>
            </TABLE></TD>
          </TR>

<?php
  if ( AFFILATE_USE_TIER == 'true' ) {
?>
          <TR>
            <TD VALIGN="top"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
              <TR>
                <TD CLASS="infoboxheading"><?php echo TEXT_SUMMARY_TITLE_TIER; ?></TD>
              </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD><TABLE WIDTH="100%" BORDER="0" CELLPADDING="4" CELLSPACING="2">
<?php
    for ($tier_number = 1; $tier_number <= AFFILIATE_TIER_LEVELS; $tier_number++ ) {
      if ( $affiliate_sales['level'] < $tier_number  ) {
        if ( tep_not_null( $affiliate_sales ) ) {
          $affiliate_sales = tep_db_fetch_array($affiliate_sales_query);
        }
      }
      if ( is_null( $affiliate_percent_tier[$tier_number - 1] ) ) {
	      $affiliate_percent_tier[$tier_number - 1] = 0;
	    }
?>
                <TR>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><A HREF=<?php echo tep_href_link(FILENAME_AFFILIATE_SALES, 'a_level=' . $tier_number . '&a_period=' . $a_period, 'SSL') ?> ><?php echo TEXT_COMMISSION_RATE_TIER . $tier_number . TEXT_COMMISSION_RATE_TIER_SUFFIX; ?></A><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_7) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo tep_round( $affiliate_percent_tier[$tier_number - 1], 2). '%'; ?></TD>
                  <TD WIDTH="35%" ALIGN="right" CLASS="boxtext"><A HREF=<?php echo tep_href_link(FILENAME_AFFILIATE_SALES, 'a_level=' . $tier_number . '&a_period=' . $a_period, 'SSL') ?> ><?php echo TEXT_COMMISSION_TIER . $tier_number . TEXT_COMMISSION_TIER_SUFFIX; ?></A><?php echo '<a href="javascript:popupWindow(\'' . tep_href_link(FILENAME_AFFILIATE_HELP_8) . '\')">' . TEXT_SUMMARY_HELP . '</a>'; ?></TD>
                  <TD WIDTH="15%" CLASS="boxtext"><?php echo $currencies->display_price($affiliate_commission, ''); ?></TD>
                </TR>
<?php  
    }
?>
            </TABLE></TD>
          </TR>
<?php  
  }  
  
?>
          <TR>
            <TD VALIGN="top" CLASS="main"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                <TR>
                  <TD COLSPAN="4"><?php echo tep_draw_separator(); ?></TD>
                </TR>
                 <TR>
                  <TD ALIGN="center" CLASS="boxtext" COLSPAN="4"><B><?php echo TEXT_SUMMARY; ?><B></TD>
                </TR>
                <TR>
                  <TD COLSPAN="4"><?php echo tep_draw_separator(); ?></TD>
                </TR>
                <TR>
                  <TD ALIGN="right" COLSPAN="4"><?php echo '<a href="' . tep_href_link(FILENAME_AFFILIATE_BANNERS) . '">' . tep_image_button('button_affiliate_banners.gif', IMAGE_BANNERS) . '</a> <a href="' . tep_href_link(FILENAME_AFFILIATE_CLICKS, '', 'SSL') . '">' . tep_image_button('button_affiliate_clickthroughs.gif', IMAGE_CLICKTHROUGHS) . '</a> <a href="' . tep_href_link(FILENAME_AFFILIATE_SALES, 'a_period=' . $a_period, 'SSL') . '">' . tep_image_button('button_affiliate_sales.gif', IMAGE_SALES) . '</a>'; ?></TD>
                </TR>
              </center>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>