<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>


<TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0 BGCOLOR="#FFFFFF">
	<TR>
		<TD WIDTH="50%" BACKGROUND="images/design/bg.gif" BGCOLOR="#000000">&nbsp;</TD>
		<TD WIDTH="1" BGCOLOR="#000000"><IMG SRC="images/design/spacer.gif" WIDTH="1" HEIGHT="1"></TD>
    <TD> 




<!-- Header Begin -->
<TABLE WIDTH=780 BORDER=0 CELLPADDING=0 CELLSPACING=0 ALIGN="CENTER">
	<TR>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=29 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=145 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=20 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=126 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=20 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=74 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=17 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=35 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=50 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=96 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=4 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=142 HEIGHT=1 ALT=""></TD>
		<TD>
			<IMG SRC="images/design/spacer.gif" WIDTH=22 HEIGHT=1 ALT=""></TD>
	</TR>
	<TR>
		<TD COLSPAN=6>
			<IMG SRC="images/design/logotype.jpg" WIDTH=414 HEIGHT=97 ALT=""></TD>
		<TD WIDTH=366 HEIGHT=97 COLSPAN=7 BACKGROUND="images/design/bgtop.gif">
			<DIV STYLE="padding:10" CLASS="tah10">
			<B CLASS="tah11" STYLE="color:C76D03"><?php echo TEXT_TOP_WELCOME; ?></B><BR><BR>
<?php echo tep_customer_greeting(); ?> 			</DIV>
		</TD>
	</TR>
	<TR>
		<TD>
			<IMG SRC="images/design/t1.gif" WIDTH=29 HEIGHT=31 ALT=""></TD>
		<TD>
			<A HREF="<?php echo tep_href_link(FILENAME_DEFAULT, '', 'NONSSL'); ?>"><?php echo tep_image_button('menu_top1.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="<?php echo tep_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo tep_image_button('menu_top2.gif', ''); ?></A></TD>
		<TD COLSPAN=4>
			<A HREF="<?php echo tep_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><?php echo tep_image_button('menu_top3.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="<?php echo tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'); ?>"><?php echo tep_image_button('menu_top4.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="<?php echo tep_href_link(FILENAME_CONTACT_US, '', 'NONSSL'); ?>"><?php echo tep_image_button('menu_top5.gif', ''); ?></A></TD>
		<TD>
			<IMG SRC="images/design/t3.gif" WIDTH=22 HEIGHT=31 ALT=""></TD>
	</TR>
	<TR>
		<TD COLSPAN=3>
			<IMG SRC="images/design/t2.gif" WIDTH=194 HEIGHT=32 ALT=""></TD>
		<TD COLSPAN=2>
			<A HREF="#"><?php echo tep_image_button('menu_sub1.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="#"><?php echo tep_image_button('menu_sub2.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="#"><?php echo tep_image_button('menu_sub3.gif', ''); ?></A></TD>
		<TD COLSPAN=2>
			<A HREF="#"><?php echo tep_image_button('menu_sub4.gif', ''); ?></A></TD>
		<TD>
			<A HREF="#"><?php echo tep_image_button('menu_sub5.gif', ''); ?></A></TD>
		<TD>
			<IMG SRC="images/design/t4.gif" WIDTH=22 HEIGHT=32 ALT=""></TD>
	</TR>
</TABLE>
<TABLE WIDTH=780 BORDER=0 CELLPADDING=0 CELLSPACING=0 ALIGN="CENTER">
	<TR>
		<TD><IMG SRC="images/design/maintop.gif" WIDTH=780 HEIGHT=12 ALT=""></TD>
	</TR>
</TABLE>
<!-- Header End -->



<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
  <TR CLASS="headerError">
    <TD CLASS="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></TD>
  </TR>
</TABLE>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
  <TR CLASS="headerInfo">
    <TD CLASS="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></TD>
  </TR>
</TABLE>
<?php
  }
?>



<!-- Main Content Begin -->
<TABLE WIDTH=780 BORDER=0 CELLPADDING=0 CELLSPACING=0 ALIGN="CENTER">

	<TR>
		<TD WIDTH=27 BACKGROUND="images/design/bg.gif"><IMG SRC="images/design/spacer.gif" WIDTH="27" HEIGHT="1"></TD>	
		<TD>