<?php
/*
  $Id: address_book_details.php,v 1.10 2003/06/09 22:49:56 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  if (!isset($process)) $process = false;
?>
<TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
  <TR>
    <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
      <TR>
        <TD CLASS="main"><B><?php echo NEW_ADDRESS_TITLE; ?></B></TD>
        <TD CLASS="inputRequirement" ALIGN="right"><?php echo FORM_REQUIRED_INFORMATION; ?></TD>
      </TR>
    </TABLE></TD>
  </TR>
  <TR>
    <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox_form">
      <TR CLASS="infoBoxContents_form">
        <TD><TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2">
<?php
  if (ACCOUNT_GENDER == 'true') {
    if (isset($gender)) {
      $male = ($gender == 'm') ? true : false;
    } else {
      $male = ($entry['entry_gender'] == 'm') ? true : false;
    }
    $female = !$male;
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_GENDER; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_radio_field('gender', 'm', $male) . '&nbsp;&nbsp;' . MALE . '&nbsp;&nbsp;' . tep_draw_radio_field('gender', 'f', $female) . '&nbsp;&nbsp;' . FEMALE . '&nbsp;' . (tep_not_null(ENTRY_GENDER_TEXT) ? '<span class="inputRequirement">' . ENTRY_GENDER_TEXT . '</span>': ''); ?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_FIRST_NAME; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('firstname', $entry['entry_firstname']) . '&nbsp;' . (tep_not_null(ENTRY_FIRST_NAME_TEXT) ? '<span class="inputRequirement">' . ENTRY_FIRST_NAME_TEXT . '</span>': ''); ?></TD>
          </TR>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_LAST_NAME; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('lastname', $entry['entry_lastname']) . '&nbsp;' . (tep_not_null(ENTRY_LAST_NAME_TEXT) ? '<span class="inputRequirement">' . ENTRY_LAST_NAME_TEXT . '</span>': ''); ?></TD>
          </TR>
          <TR>
            <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
  if (ACCOUNT_COMPANY == 'true') {
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_COMPANY; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('company', $entry['entry_company']) . '&nbsp;' . (tep_not_null(ENTRY_COMPANY_TEXT) ? '<span class="inputRequirement">' . ENTRY_COMPANY_TEXT . '</span>': ''); ?></TD>
          </TR>
          <TR>
            <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_STREET_ADDRESS; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('street_address', $entry['entry_street_address']) . '&nbsp;' . (tep_not_null(ENTRY_STREET_ADDRESS_TEXT) ? '<span class="inputRequirement">' . ENTRY_STREET_ADDRESS_TEXT . '</span>': ''); ?></TD>
          </TR>
<?php
  if (ACCOUNT_SUBURB == 'true') {
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_SUBURB; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('suburb', $entry['entry_suburb']) . '&nbsp;' . (tep_not_null(ENTRY_SUBURB_TEXT) ? '<span class="inputRequirement">' . ENTRY_SUBURB_TEXT . '</span>': ''); ?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_POST_CODE; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('postcode', $entry['entry_postcode']) . '&nbsp;' . (tep_not_null(ENTRY_POST_CODE_TEXT) ? '<span class="inputRequirement">' . ENTRY_POST_CODE_TEXT . '</span>': ''); ?></TD>
          </TR>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_CITY; ?></TD>
            <TD CLASS="main"><?php echo tep_draw_input_field('city', $entry['entry_city']) . '&nbsp;' . (tep_not_null(ENTRY_CITY_TEXT) ? '<span class="inputRequirement">' . ENTRY_CITY_TEXT . '</span>': ''); ?></TD>
          </TR>
<?php
  if (ACCOUNT_STATE == 'true') {
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_STATE; ?></TD>
            <TD CLASS="main">
<?php
    if ($process == true) {
      if ($entry_state_has_zones == true) {
        $zones_array = array();
        $zones_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' order by zone_name");
        while ($zones_values = tep_db_fetch_array($zones_query)) {
          $zones_array[] = array('id' => $zones_values['zone_name'], 'text' => $zones_values['zone_name']);
        }
        echo tep_draw_pull_down_menu('state', $zones_array);
      } else {
        echo tep_draw_input_field('state');
      }
    } else {
      echo tep_draw_input_field('state', tep_get_zone_name($entry['entry_country_id'], $entry['entry_zone_id'], $entry['entry_state']));
    }

    if (tep_not_null(ENTRY_STATE_TEXT)) echo '&nbsp;<span class="inputRequirement">' . ENTRY_STATE_TEXT;
?></TD>
          </TR>
<?php
  }
?>
          <TR>
            <TD CLASS="main"><?php echo ENTRY_COUNTRY; ?></TD>
            <TD CLASS="main"><?php echo tep_get_country_list('country', $entry['entry_country_id'], 'STYLE="width:' . COUNTRY_DROP_WIDTH . '"') . '&nbsp;' . (tep_not_null(ENTRY_COUNTRY_TEXT) ? '<span class="inputRequirement">' . ENTRY_COUNTRY_TEXT . '</span>': ''); ?></TD>
          </TR>
<?php
  if ((isset($HTTP_GET_VARS['edit']) && ($customer_default_address_id != $HTTP_GET_VARS['edit'])) || (isset($HTTP_GET_VARS['edit']) == false) ) {
?>
          <TR>
            <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
          </TR>
          <TR>
            <TD COLSPAN="2" CLASS="main"><?php echo tep_draw_checkbox_field('primary', 'on', false, 'id="primary"') . ' ' . SET_AS_PRIMARY; ?></TD>
          </TR>
<?php
  }
?>
        </TABLE></TD>
      </TR>
    </TABLE></TD>
  </TR>
</TABLE>
