<?php
/*
  $Id: new_products.php,v 1.34 2003/06/09 22:49:58 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
?>
<!-- new_products //-->
<?php
  $info_box_contents = array();
  $info_box_contents[] = array('text' => sprintf(TABLE_HEADING_NEW_PRODUCTS, strftime('%B')));

  new contentBoxHeading($info_box_contents, '_new');

  if ( (!isset($new_products_category_id)) || ($new_products_category_id == '0') ) {
    $new_products_query = tep_db_query("select p.products_id, p.products_image, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id where products_status = '1' order by p.products_date_added desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
  } else {
    $new_products_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c where p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and c.parent_id = '" . (int)$new_products_category_id . "' and p.products_status = '1' order by p.products_date_added desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
  }

  $row = 0;
  $col = 0;
  $info_box_contents = array();
  while ($new_products = tep_db_fetch_array($new_products_query)) {
 
 // ADDED BY CLEMENT FOR DESIGN
 if ($col == 0) {
   $col_width = 118;
   $img_nr = 1;
 }
 else if ($col == 1) {
   $col_width = 119;
   $img_nr = 2;
 }
 else if ($col == 2) {
   $col_width = 118;
   $img_nr = 3;
 }
 //* 
  
    $new_products['products_name'] = tep_get_products_name($new_products['products_id']);
    $info_box_contents[$row][$col] = array('align' => 'center',
                                           'params' => 'STYLE="background: url(images/design/product_bg' . $img_nr . '.gif) repeat-y left top;" width="' . $col_width . '" valign="top"',
                                           'text' => '<TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0" STYLE="background: url(images/design/product_top' . $img_nr . '.gif) no-repeat left top;"><TR><TD ALIGN="center" VALIGN="TOP" HEIGHT="150"><DIV CLASS="prodPrice"><b>' . $currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])) . '</b></DIV><DIV STYLE="padding-top: 8px;"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $new_products['products_image'], $new_products['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a></DIV><DIV STYLE="padding-top: 5px;"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products['products_id']) . '">' . $new_products['products_name'] . '</a></DIV></TD></TR><TR><TD HEIGHT="100%">&nbsp;</TD></TR><TR><TD HEIGHT="23" VALIGN="TOP" STYLE="background: url(images/design/product_bottom' . $img_nr . '.gif) no-repeat left top; padding-left: 60px; padding-top: 1px;"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products['products_id']) . '">' .TEXT_MORE_INFO. '</a></TD></TR></TABLE>');

    $col ++;
    if ($col > 2) {
      $col = 0;
      $row ++;
    }
  }

  new contentBox($info_box_contents, '_center');
?>
<!-- new_products_eof //-->
