<?php
/*
  $Id: login.php,v 1.80 2003/06/05 23:28:24 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// redirect the customer to a friendly cookie-must-be-enabled page if cookies are disabled (or the session has not started)
  if ($session_started == false) {
    tep_redirect(tep_href_link(FILENAME_COOKIE_USAGE));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_LOGIN);
// ADDED BY CLEMENT for design  
  define('HEADING_IMAGE_FILE', 'table_background_login.gif');
  require(DIR_WS_INCLUDES . FILENAME_DESIGN);
//**    

  $error = false;
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'process')) {
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email_address']);
    $password = tep_db_prepare_input($HTTP_POST_VARS['password']);

// Check if email exists
    $check_customer_query = tep_db_query("select customers_id, customers_firstname, customers_password, customers_email_address, customers_default_address_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
    if (!tep_db_num_rows($check_customer_query)) {
      $error = true;
    } else {
      $check_customer = tep_db_fetch_array($check_customer_query);
// Check that password is good
      if (!tep_validate_password($password, $check_customer['customers_password'])) {
        $error = true;
      } else {
        if (SESSION_RECREATE == 'True') {
          tep_session_recreate();
        }

        $check_country_query = tep_db_query("select entry_country_id, entry_zone_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$check_customer['customers_id'] . "' and address_book_id = '" . (int)$check_customer['customers_default_address_id'] . "'");
        $check_country = tep_db_fetch_array($check_country_query);

        $customer_id = $check_customer['customers_id'];
        $customer_default_address_id = $check_customer['customers_default_address_id'];
        $customer_first_name = $check_customer['customers_firstname'];
        $customer_country_id = $check_country['entry_country_id'];
        $customer_zone_id = $check_country['entry_zone_id'];
        tep_session_register('customer_id');
        tep_session_register('customer_default_address_id');
        tep_session_register('customer_first_name');
        tep_session_register('customer_country_id');
        tep_session_register('customer_zone_id');

        tep_db_query("update " . TABLE_CUSTOMERS_INFO . " set customers_info_date_of_last_logon = now(), customers_info_number_of_logons = customers_info_number_of_logons+1 where customers_info_id = '" . (int)$customer_id . "'");

// restore cart contents
        $cart->restore_contents();

        if (sizeof($navigation->snapshot) > 0) {
          $origin_href = tep_href_link($navigation->snapshot['page'], tep_array_to_string($navigation->snapshot['get'], array(tep_session_name())), $navigation->snapshot['mode']);
          $navigation->clear_snapshot();
          tep_redirect($origin_href);
        } else {
          tep_redirect(tep_href_link(FILENAME_DEFAULT));
        }
      }
    }
  }

  if ($error == true) {
    $messageStack->add('login', TEXT_LOGIN_ERROR);
  }

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_LOGIN, '', 'SSL'));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML <?php echo HTML_PARAMS; ?>>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<?php echo CHARSET; ?>">
<TITLE><?php echo TITLE; ?></TITLE>
<BASE HREF="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<LINK REL="stylesheet" TYPE="text/css" HREF="stylesheet.css">
<SCRIPT language="javascript"><!--
function session_win() {
  window.open("<?php echo tep_href_link(FILENAME_INFO_SHOPPING_CART); ?>","info_shopping_cart","height=460,width=430,toolbar=no,statusbar=no,scrollbars=yes").focus();
}
//--></SCRIPT>
<?php echo HEAD_TAGS; ?>

<?php echo BODY_TAG; ?>

<!-- header //-->

<?php
require(DIR_WS_INCLUDES . 'header.php'); 


if (COLUMN_LEFT_DISPLAY == 'true') {
echo '<!-- left_navigation //-->';
require(DIR_WS_INCLUDES . 'column_left.php'); 
echo '<!-- left_navigation_eof //-->';
}
?>

<!-- body_text //-->
    <TD <?php echo CONTENT_PARAM_FIRST_TD; ?>>
	<?php echo tep_draw_form('login', tep_href_link(FILENAME_LOGIN, 'action=process', 'SSL')); ?>
	
		      <?php echo CONTENT_TOP_FIRST_TD; ?>
	
	<TABLE <?php echo CONTENT_PARAM_FIRST_TABLE; ?>>
 
       <?php echo CONTENT_TOP_FIRST_TABLE; ?>

<?php
  if ($messageStack->size('login') > 0) {
?>
      <TR>
        <TD><?php echo $messageStack->output('login'); ?></TD>
      </TR>
<?php
  }

  if ($cart->count_contents() > 0) {
?>
      <TR>
        <TD CLASS="smallText"><?php echo TEXT_VISITORS_CART; ?></TD>
      </TR>
      <TR>
        <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
      </TR>
<?php
  }
?>
      <TR>
        <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
          <TR>
            <TD CLASS="main" WIDTH="100%" VALIGN="top"><B><?php echo HEADING_NEW_CUSTOMER; ?></B></TD>
          </TR>
          <TR>
            <TD WIDTH="100%" HEIGHT="100%" VALIGN="top"><TABLE BORDER="0" WIDTH="100%" HEIGHT="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox">
              <TR CLASS="infoBoxContents">
                <TD><TABLE BORDER="0" WIDTH="100%" HEIGHT="100%" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD CLASS="main" VALIGN="top"><?php echo TEXT_NEW_CUSTOMER . '<br><br>' . TEXT_NEW_CUSTOMER_INTRODUCTION; ?></TD>
                  </TR>
                  <TR>
                    <TD><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                      <TR>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                        <TD ALIGN="right"><?php echo '<a href="' . tep_href_link(FILENAME_CREATE_ACCOUNT, '', 'SSL') . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></TD>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                      </TR>
                    </TABLE></TD>
                  </TR>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
			</TR>
		  <TR>	
            <TD CLASS="main" WIDTH="100%" VALIGN="top"><B><?php echo HEADING_RETURNING_CUSTOMER; ?></B></TD>
          </TR>			
			<TR>			
            <TD WIDTH="100%" HEIGHT="100%" VALIGN="top"><TABLE BORDER="0" WIDTH="100%" HEIGHT="100%" CELLSPACING="1" CELLPADDING="2" CLASS="infoBox">
              <TR CLASS="infoBoxContents">
                <TD><TABLE BORDER="0" WIDTH="100%" HEIGHT="100%" CELLSPACING="0" CELLPADDING="2">
                  <TR>
                    <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD CLASS="main" COLSPAN="2"><?php echo TEXT_RETURNING_CUSTOMER; ?></TD>
                  </TR>
                  <TR>
                    <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD CLASS="main"><B><?php echo ENTRY_EMAIL_ADDRESS; ?></B></TD>
                    <TD CLASS="main"><?php echo tep_draw_input_field('email_address'); ?></TD>
                  </TR>
                  <TR>
                    <TD CLASS="main"><B><?php echo ENTRY_PASSWORD; ?></B></TD>
                    <TD CLASS="main"><?php echo tep_draw_password_field('password'); ?></TD>
                  </TR>
                  <TR>
                    <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD CLASS="smallText" COLSPAN="2"><?php echo '<a href="' . tep_href_link(FILENAME_PASSWORD_FORGOTTEN, '', 'SSL') . '">' . TEXT_PASSWORD_FORGOTTEN . '</a>'; ?></TD>
                  </TR>
                  <TR>
                    <TD COLSPAN="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></TD>
                  </TR>
                  <TR>
                    <TD COLSPAN="2"><TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="2">
                      <TR>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                        <TD ALIGN="right"><?php echo tep_image_submit('button_login.gif', IMAGE_BUTTON_LOGIN); ?></TD>
                        <TD WIDTH="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></TD>
                      </TR>
                    </TABLE></TD>
                  </TR>
                </TABLE></TD>
              </TR>
            </TABLE></TD>
          </TR>
        </TABLE></TD>
      </TR>
      <?php echo CONTENT_BOTTOM_FIRST_TABLE; ?>	  
    </TABLE></form>
    <?php echo CONTENT_BOTTOM_FIRST_TD; ?>
	</TD>
<!-- body_text_eof //-->

<?php
if (COLUMN_RIGHT_DISPLAY == 'true') {
echo '<!-- right_navigation //-->';
require(DIR_WS_INCLUDES . 'column_right.php');
echo '<!-- right_navigation_eof //-->';
}

require(DIR_WS_INCLUDES . 'footer.php'); 
?>

<?php echo ENDING_TAGS; ?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
